Page MenuHomePhabricator

Selection menu for country cannot be translated (for WLA starting on Oct 01)
Closed, ResolvedPublic

Description

Author: romaine.wiki

Description:
On 1 October 2014 Wiki Loves Africa starts, a large photo contest for the whole continent of Africa. A lot of languages are spoken and we want to serve the participants in their own language as much as possible. Therefore we need a full translatable UploadWizard.

We are able to translate all parts of the UploadWizard, besides one section: the selection menu to choose the specific country where the photo has been made. If a French speaking user wants to participate, we want to show the names of the countries in French, for Arabic speaking users in Arabic, and so on.

Other sections we are able to translate with templates (like {{Upload campaign use Wiki Loves Africa}}) or MediaWiki system message (like {{int:Mwe-upwiz-campaigns-wlm-generic-id}}). (An other alternative could have been https://bugzilla.wikimedia.org/show_bug.cgi?id=53786 .)

If we use a template that automatically translates itself based on the language of the user, like {{Algeria|nolink=1}}, then {{Algeria|nolink=1}} is shown instead of executing this template.

If we use a MediaWiki system message that automatically translates itself based on the language of the user, like {{int:Mwe-upwiz-campaigns-wlm-generic-id}}, then {{int:Mwe-upwiz-campaigns-wlm-generic-id}} is shown instead of the contents of the MediaWiki pages.

So none of these options work. This means we can't localize this part of the UploadWizard, while many African people do not speak English.

The campaign used is: https://commons.wikimedia.org/wiki/Campaign:wlafrica

Can this be solved or how can we solve this?


Version: unspecified
Severity: major

Details

Reference
bz71160

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:47 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz71160.
bzimport created this task.Sep 23 2014, 1:08 AM

romaine.wiki wrote:

To avoid confusion: the selection menu does work, what doesn't work is the localisation.

If I get the comment correctly, the selection menu for country DOES work, it's just not displayed in the language you expected?

(Neither blocking any development work nor so entirely broken that it required highest priority; see https://www.mediawiki.org/wiki/Bugzilla/Fields )

(In reply to Romaine from comment #0)

Can this be solved or how can we solve this?

Was this also discussed on IRC or the multimedia mailing list?
Could you link to the thread?

Just one week to go. Romaine is doing what he can in the short time after WLM to also make the WikiAfrica image upload project possible, by having an upload form which is intelligible for uploaders (not for himself). Please help him to facilitate upload stats per country for this project, which has been modeled after Wiki Loves Monuments.

Thank you!

As Erik said above.
This is for https://meta.wikimedia.org/wiki/Wiki_Loves_Africa, photographic contest which will start on the 1st of October.

The contest will cover all African countries, which means over 50 countries. Given the high number of countries, it is difficult to consider to implement it like Wiki Loves Monuments with a different wizard for each country. So we decided to make only one wizard operating for the entire continent. However, the risk is that images will be very poorly categorised and making sure we can at least easily identify the country of origin of the picture would be incredibly helpful (for Commons, for the end user and for Wikimedia stats). Hence Romaine proposition to add a selection menu for country.

Now... not everyone speaks English and finding one's country name in a non-localized list can create issues and lead uploaders to just not bother putting the right country.

Please help !

Thanks

Florence

romaine.wiki wrote:

(In reply to Andre Klapper from comment #2)

If I get the comment correctly, the selection menu for country DOES work,
it's just not displayed in the language you expected?

It does not display it in the local language as needed. Especially in Africa many people do not know other languages, but still we want to enable them to participate.

(Neither blocking any development work nor so entirely broken that it
required highest priority; see
https://www.mediawiki.org/wiki/Bugzilla/Fields )

Sorry, missed that. But I would not consider it "normal" but al least Major (Major loss of function in an important area.), as it blocks participants from understanding what is needed.

(In reply to Romaine from comment #0)

Can this be solved or how can we solve this?

Was this also discussed on IRC or the multimedia mailing list?
Could you link to the thread?

This was discusses in the team of Wiki Loves Africa and with Erik Zachte for the statistics of the contest.

gerritadmin wrote:

Change 162227 had a related patch set uploaded by Gilles:
Make options of a custom campaign field parseable

https://gerrit.wikimedia.org/r/162227

gerritadmin wrote:

Change 162227 merged by jenkins-bot:
Make options of a custom campaign field parseable

https://gerrit.wikimedia.org/r/162227

If someone can verify that the fix works on beta commons, we can then backport this, due to the time-sensitiveness.

romaine.wiki wrote:

When I try to create the campaign page (identical to regular Commons) I get an error at http://commons.wikimedia.beta.wmflabs.org/w/index.php?title=Campaign:wlafrica

Error:
[71bffe0e] /w/index.php?title=Campaign:wlafrica&action=submit Exception from line 1463 of /srv/mediawiki/php-master/includes/Revision.php: Can't save non-default content model with $wgContentHandlerUseDB disabled: model is json, default for Campaign:wlafrica is Campaign

Backtrace:

#0 /srv/mediawiki/php-master/includes/Revision.php(1343): Revision->checkContentModel()
#1 /srv/mediawiki/php-master/includes/page/WikiPage.php(1989): Revision->insertOn(DatabaseMysqli)
#2 /srv/mediawiki/php-master/includes/page/Article.php(2002): WikiPage->doEditContent(JsonContent, string, integer, boolean, User, string)
#3 /srv/mediawiki/php-master/includes/EditPage.php(1902): Article->__call(string, array)
#4 /srv/mediawiki/php-master/includes/EditPage.php(1286): EditPage->internalAttemptSave(array, boolean)
#5 /srv/mediawiki/php-master/includes/EditPage.php(522): EditPage->attemptSave()
#6 /srv/mediawiki/php-master/includes/actions/EditAction.php(56): EditPage->edit()
#7 /srv/mediawiki/php-master/includes/actions/SubmitAction.php(40): EditAction->show()
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(414): SubmitAction->show()
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(282): MediaWiki->performAction(Article, Title)
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(584): MediaWiki->performRequest()
#11 /srv/mediawiki/php-master/includes/MediaWiki.php(435): MediaWiki->main()
#12 /srv/mediawiki/php-master/index.php(46): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include(string)
#14 {main}

That error should be fixed now, please try again

romaine.wiki wrote:

My test appears successful. Creation of Campaign worked, selection shows correctly, selection menu does do what it should do.

It can be implemented on Commons.

Awesome, then I'll backport it for Commons.

gerritadmin wrote:

Change 163115 had a related patch set uploaded by Gilles:
Make options of a custom campaign field parseable

https://gerrit.wikimedia.org/r/163115

gerritadmin wrote:

Change 163115 merged by jenkins-bot:
Make options of a custom campaign field parseable

https://gerrit.wikimedia.org/r/163115

It'll go out to Commons during Monday's SWAT deploy

You rock guys !!!!

Thanks

The fix should be deployed on Commons now, but I was unable to verify it, as a null edit on the campaign might be necessary and I don't have those rights.

Romaine confirmed the fix on IRC

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:28 AM